{% extends 'base.html' %}

{% load static %}



{% block title %} Quiz list {% endblock %}
{% block extra_head %}
    <link rel="stylesheet" href="{% static 'css/quiz_detail.css' %}">

{% endblock %}
{% block content %}

    <h2>
        {{ quiz }}
    </h2>

    <form method="post">
        {% csrf_token %}
        <ul>
            {% for question_with_answers in questions_with_answers %}
                <li class="question">
                    {{ question_with_answers.question }}

                </li>
                <ul>


                    {% for answer in question_with_answers.answers %}
                        <li>


                            <input type="radio" name="{{ question_with_answers.question.id }}" value="{{ answer.id }}"
                                   id="{{ answer.id }}">
                            <label for="{{ answer.id }}">{{ answer }}</label>

                            {#            {{ answer }}#}
                        </li>
                    {% endfor %}
                </ul>
            {% endfor %}
        </ul>
        <div>
            <button class="btn btn-outline-light btn-lg btn-block" type="submit">Submit</button>
        </div>

    </form>

{% endblock %}